rxstack(1)

Name
rxstack - The Regina Rexx Interpreter stack daemon

Syntax
rxstack [ -D ] -d | -k

Description
rxstack is a daemon that provides access to Regian Rexx external queues directly to Regina Rexx programs or indirectly (via rxqueue) to any other program via stdin and stdout Without any options, rxstack runs in the foreground.

Options

-D  Sets debugging on

-d  Starts rxstack as a daemon

-k  Kills the running rxstack process.

Environment
rxstack uses the following environment variables if set.

RXDEBUG
    Enables debugging. Same as specifying -D option.

RXSTACK
    The port number on which rxstack listens. By default this is 5757.

RXQUEUE
    The name of the queue to be used if not specified by the client using rxstack. By default this is SESSION.

Copyright
The Regina Rexx interpreter is distributed under the GNU Library General Public License, see the file `COPYING-LIB' in the source code distribution.

Author
Anders Christensen, University of Trondheim, Norway <anders@pvv.unit.no>.

Maintainer
Changes to Regina since 0.07a, Mark Hessling <mark (at) rexx.org> with significant assistance from Florian Grosse-Coosmann.

See Also
rxqueue(1)

There are several good reference books on Rexx. The most famous is "The Rexx Language" by Mike Cowlishaw. Visit http://www.rexxla.org (The Rexx Language Association) for any Rexx related information.